Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## chrriis.dj.nativeswing.swtimpl.components
Class FlashPluginOptions

    java.lang.Object
      chrriis.dj.nativeswing.swtimpl.components.FlashPluginOptions

    public class FlashPluginOptions

extends Object

The options for the Flash player to better configure the initialization of the Flash plugin.

Author:
  Christopher Deckers

Constructor Summary
`FlashPluginOptions()` Construct new Flash plugin options.

Method Summary
`Map<String,String>` | `getParameters()` Get the Flash plugin HTML parameters.
`Map<String,String>` | `getVariables()` Get the Flash plugin variables.
`void` | `setParameters(Map<String,String> keyToValueParameterMap)` Set the Flash HTML parameters that will be used when the plugin is created.
`void` | `setVariables(Map<String,String> keyToValueVariableMap)` Set the Flash variables that will be set when the plugin is created.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlashPluginOptions

    public FlashPluginOptions()

  Construct new Flash plugin options.

Method Detail

### getVariables

    public Map<String,String> getVariables()

  Get the Flash plugin variables.

  Returns:
    the variables.

### setVariables

    public void setVariables(Map<String,String> keyToValueVariableMap)

  Set the Flash variables that will be set when the plugin is created.

  Parameters:
    `keyToValueVariableMap` - the map of key/value pairs.

### getParameters

    public Map<String,String> getParameters()

  Get the Flash plugin HTML parameters.

  Returns:
    the parameters.

### setParameters

    public void setParameters(Map<String,String> keyToValueParameterMap)

  Set the Flash HTML parameters that will be used when the plugin is created.

  Parameters:
    `keyToValueParameterMap` - the map of key/value pairs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD